#ifndef _CMAPMSG_H
#define _CMAPMSG_H

#include <VECTOR>
#include "EngineH.h"
#include "CBase.h"

class C_MAP_MSG_0
{
private :
	std::vector<C_BASE_0*> _vBase;

public :
	/*MAP_MSG_0(){;}
	~MAP_MSG_0(){;}*/

public :
	// REGISTER
	void Register(C_BASE_0 *base)
	{
		_vBase.push_back(base);
	}
	// GETPWND 
	C_BASE_0* GetPWnd(HWND hWnd)
	{
		for(std::vector<C_BASE_0*>::iterator i = _vBase.begin(); i < _vBase.end();i++)
		{	
			if((*i)->GetHwnd() == hWnd) return (*i);	
		}
		return 0;
	}
};

#endif //_CMAPMSG_H